Interface GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder
- All Superinterfaces:
org.apache.camel.builder.EndpointConsumerBuilder,org.apache.camel.EndpointConsumerResolver
- All Known Subinterfaces:
GridFsEndpointBuilderFactory.GridFsEndpointBuilder
- Enclosing interface:
- GridFsEndpointBuilderFactory
public static interface GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder
extends org.apache.camel.builder.EndpointConsumerBuilder
Builder for endpoint consumers for the MongoDB GridFS component.
-
Method Summary
Modifier and TypeMethodDescriptionadvanced()Sets the name of the GridFS bucket within the database.Sets the name of the MongoDB database to target.delay(long delay) Sets the delay between polls within the Consumer.Sets the delay between polls within the Consumer.fileAttributeName(String fileAttributeName) If the QueryType uses a FileAttribute, this sets the name of the attribute that is used.initialDelay(long initialDelay) Sets the initialDelay before the consumer will start polling.initialDelay(String initialDelay) Sets the initialDelay before the consumer will start polling.persistentTSCollection(String persistentTSCollection) If the QueryType uses a persistent timestamp, this sets the name of the collection within the DB to store the timestamp.persistentTSObject(String persistentTSObject) If the QueryType uses a persistent timestamp, this is the ID of the object in the collection to store the timestamp.Additional query parameters (in JSON) that are used to configure the query used for finding files in the GridFsConsumer.queryStrategy(String queryStrategy) Sets the QueryStrategy that is used for polling for new files.queryStrategy(org.apache.camel.component.mongodb.gridfs.QueryStrategy queryStrategy) Sets the QueryStrategy that is used for polling for new files.readPreference(com.mongodb.ReadPreference readPreference) Sets a MongoDB ReadPreference on the Mongo connection.readPreference(String readPreference) Sets a MongoDB ReadPreference on the Mongo connection.writeConcern(com.mongodb.WriteConcern writeConcern) Set the WriteConcern for write operations on MongoDB using the standard ones.writeConcern(String writeConcern) Set the WriteConcern for write operations on MongoDB using the standard ones.Methods inherited from interface org.apache.camel.builder.EndpointConsumerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUri, getUriMethods inherited from interface org.apache.camel.EndpointConsumerResolver
resolve, resolve
-
Method Details
-
advanced
-
bucket
Sets the name of the GridFS bucket within the database. Default is fs. The option is a: <code>java.lang.String</code> type. Default: fs Group: common- Parameters:
bucket- the value to set- Returns:
- the dsl builder
-
database
Sets the name of the MongoDB database to target. The option is a: <code>java.lang.String</code> type. Required: true Group: common- Parameters:
database- the value to set- Returns:
- the dsl builder
-
readPreference
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder readPreference(com.mongodb.ReadPreference readPreference) Sets a MongoDB ReadPreference on the Mongo connection. Read preferences set directly on the connection will be overridden by this setting. The com.mongodb.ReadPreference#valueOf(String) utility method is used to resolve the passed readPreference value. Some examples for the possible values are nearest, primary or secondary etc. The option is a: <code>com.mongodb.ReadPreference</code> type. Group: common- Parameters:
readPreference- the value to set- Returns:
- the dsl builder
-
readPreference
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder readPreference(String readPreference) Sets a MongoDB ReadPreference on the Mongo connection. Read preferences set directly on the connection will be overridden by this setting. The com.mongodb.ReadPreference#valueOf(String) utility method is used to resolve the passed readPreference value. Some examples for the possible values are nearest, primary or secondary etc. The option will be converted to a <code>com.mongodb.ReadPreference</code> type. Group: common- Parameters:
readPreference- the value to set- Returns:
- the dsl builder
-
writeConcern
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder writeConcern(com.mongodb.WriteConcern writeConcern) Set the WriteConcern for write operations on MongoDB using the standard ones. Resolved from the fields of the WriteConcern class by calling the WriteConcern#valueOf(String) method. The option is a: <code>com.mongodb.WriteConcern</code> type. Group: common- Parameters:
writeConcern- the value to set- Returns:
- the dsl builder
-
writeConcern
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder writeConcern(String writeConcern) Set the WriteConcern for write operations on MongoDB using the standard ones. Resolved from the fields of the WriteConcern class by calling the WriteConcern#valueOf(String) method. The option will be converted to a <code>com.mongodb.WriteConcern</code> type. Group: common- Parameters:
writeConcern- the value to set- Returns:
- the dsl builder
-
delay
Sets the delay between polls within the Consumer. Default is 500ms. The option is a: <code>long</code> type. Default: 500 Group: consumer- Parameters:
delay- the value to set- Returns:
- the dsl builder
-
delay
Sets the delay between polls within the Consumer. Default is 500ms. The option will be converted to a <code>long</code> type. Default: 500 Group: consumer- Parameters:
delay- the value to set- Returns:
- the dsl builder
-
fileAttributeName
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder fileAttributeName(String fileAttributeName) If the QueryType uses a FileAttribute, this sets the name of the attribute that is used. Default is camel-processed. The option is a: <code>java.lang.String</code> type. Default: camel-processed Group: consumer- Parameters:
fileAttributeName- the value to set- Returns:
- the dsl builder
-
initialDelay
Sets the initialDelay before the consumer will start polling. Default is 1000ms. The option is a: <code>long</code> type. Default: 1000 Group: consumer- Parameters:
initialDelay- the value to set- Returns:
- the dsl builder
-
initialDelay
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder initialDelay(String initialDelay) Sets the initialDelay before the consumer will start polling. Default is 1000ms. The option will be converted to a <code>long</code> type. Default: 1000 Group: consumer- Parameters:
initialDelay- the value to set- Returns:
- the dsl builder
-
persistentTSCollection
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder persistentTSCollection(String persistentTSCollection) If the QueryType uses a persistent timestamp, this sets the name of the collection within the DB to store the timestamp. The option is a: <code>java.lang.String</code> type. Default: camel-timestamps Group: consumer- Parameters:
persistentTSCollection- the value to set- Returns:
- the dsl builder
-
persistentTSObject
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder persistentTSObject(String persistentTSObject) If the QueryType uses a persistent timestamp, this is the ID of the object in the collection to store the timestamp. The option is a: <code>java.lang.String</code> type. Default: camel-timestamp Group: consumer- Parameters:
persistentTSObject- the value to set- Returns:
- the dsl builder
-
query
Additional query parameters (in JSON) that are used to configure the query used for finding files in the GridFsConsumer. The option is a: <code>java.lang.String</code> type. Group: consumer- Parameters:
query- the value to set- Returns:
- the dsl builder
-
queryStrategy
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder queryStrategy(org.apache.camel.component.mongodb.gridfs.QueryStrategy queryStrategy) Sets the QueryStrategy that is used for polling for new files. Default is Timestamp. The option is a: <code>org.apache.camel.component.mongodb.gridfs.QueryStrategy</code> type. Default: TimeStamp Group: consumer- Parameters:
queryStrategy- the value to set- Returns:
- the dsl builder
-
queryStrategy
default GridFsEndpointBuilderFactory.GridFsEndpointConsumerBuilder queryStrategy(String queryStrategy) Sets the QueryStrategy that is used for polling for new files. Default is Timestamp. The option will be converted to a <code>org.apache.camel.component.mongodb.gridfs.QueryStrategy</code> type. Default: TimeStamp Group: consumer- Parameters:
queryStrategy- the value to set- Returns:
- the dsl builder
-